import { ElMessage } from 'element-plus';
import { ref } from 'vue';
import { GetFlagListBySysType } from '/@/api/basic/sysFlagStd';
import request from '/@/utils/request';

export const useFlagList = (SysType: string, req:any = request) => {
	const flagList = ref([]);
	const getFlagListBySysType = async () => {
		const res = await GetFlagListBySysType(
			{
				SysType,
			},
			req
		);

		if (res?.Code === 0) {
			flagList.value = res.Data || [];
		} else {
			flagList.value = undefined;
			ElMessage.error('获取标签列表失败' + (res?.Message ? `，${JSON.stringify(res.Message)}` : ''));
		}
	};

	return {
		flagList,
		getFlagListBySysType,
	};
};
